com.beaglebuddy.id3.enums.v24

## Enum ImageEncodingRestriction

- java.lang.Object
- - java.lang.Enum<ImageEncodingRestriction>
  - - com.beaglebuddy.id3.enums.v24.ImageEncodingRestriction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ImageEncodingRestriction>

      public enum ImageEncodingRestriction
      extends java.lang.Enum<ImageEncodingRestriction>

  valid ID3v2.4 image encoding restrictions.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_RESTRICTIONS` No image encoding restrictions.
    `PNG_OR_JPEG` Images are encoded only with PNG or JPEG.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` get a description of the image encoding restriction.
    `static ImageEncodingRestriction` | `getImageEncodingRestriction(byte imageEncodingRestriction)` converts an integral value to its corresponding image encoding restriction enum.
    `byte` | `getMask()` get the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.
    `java.lang.String` | `toString()` get a string representation of the image encoding restriction.
    `static ImageEncodingRestriction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ImageEncodingRestriction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_RESTRICTIONS

          public static final ImageEncodingRestriction NO_RESTRICTIONS

      No image encoding restrictions.

    - #### PNG_OR_JPEG

          public static final ImageEncodingRestriction PNG_OR_JPEG

      Images are encoded only with PNG or JPEG.

  - ### Method Detail

    - #### values

          public static ImageEncodingRestriction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ImageEncodingRestriction c : ImageEncodingRestriction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ImageEncodingRestriction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription()

      get a description of the image encoding restriction.
      Returns:
        a description of the image encoding restriction.

    - #### getMask

          public byte getMask()

      get the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.
      Returns:
        the mask used to set the appropriate bits in the flag byte in the ID3v2.4 extended header.

    - #### getImageEncodingRestriction

          public static ImageEncodingRestriction getImageEncodingRestriction(byte imageEncodingRestriction)
                                                                      throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding image encoding restriction enum.
      Parameters:
        `imageEncodingRestriction` - integral value to be converted to a image encoding restriction enum.
      Returns:
        a image encoding restriction enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the integral value is not a valid image encoding restriction.

    - #### toString

          public java.lang.String toString()

      get a string representation of the image encoding restriction.
      Overrides:
        `toString` in class `java.lang.Enum<ImageEncodingRestriction>`
      Returns:
        a string representation of the image encoding restriction.